set scheme s1color 
u cumbrian_cirques, clear 
scatter width length , name(g1_1, replace)
scatter width length , ms(Oh) name(g1_2, replace)
graph combine g1_1 g1_2, saving(ar1, asis replace)

scatter maxgrad grade, ms(Oh) yla(40(10)80, format(%4.0g)) xla(, valuelabel) xsc(r(0.8 5.2)) name(g2_1, replace)
scatter maxgrad grade, ms(Oh) yla(40(10)80, format(%4.0g)) xla(, valuelabel) xsc(r(0.8 5.2)) jitter(1) name(g2_2, replace)
graph combine g2_1 g2_2, saving(ar2, replace asis)

dotplot maxgrad, over(grade) saving(ar3, replace asis) ms(Oh) yla(, format(%4.0g))

separate length, by(grade) veryshortlabel
scatter length? width, xsc(log) ysc(log) ms(O ..) mcolor(gs1 gs4 gs7 gs10 gs13) mlcolor(black ..) msize(*1.5 ..) yti("`: variable label length'") yla(200 500 1000 2000) xla(200 500 1000 2000) legend(pos(11) ring(0) col(1)) saving(ar4, asis replace)

scatter length? width, xsc(log) ysc(log) ms(O ..) mcolor(gs1 gs4 gs7 gs10 gs13) mlcolor(black ..) msize(*1.5 ..) yti("`: variable label length'", orient(horiz)) yla(200 500 1000 2000, ang(h)) xla(200 500 1000 2000) legend(pos(11) ring(0) col(1)) ysc(titlegap(-10)) saving(ar5, asis replace)

dotplot maxgrad, over(grade) saving(ar6, replace asis) ms(Oh) yla(, ang(h) format(%4.0g)) xla(, ang(-.001) tlcolor(none))

forval i = 1/5 { 
	scatter length width if grade != `i', xsc(log) ysc(log) xla(200 500 1000 2000) yla(200 500 1000 2000) ms(oh) mc(blue*0.2) /// 
	|| scatter length width if grade == `i', xsc(log) ysc(log) xla(200 500 1000 2000) yla(200 500 1000 2000) ///
	ms(O) mc(blue) yla(, ang(h)) subtitle("`: label (grade) `i''", place(w)) legend(off) name(g11_`i', replace) 
}

scatter length width, xsc(log) ysc(log) xla(200 500 1000 2000) yla(200 500 1000 2000) ms(O) mc(blue) yla(, ang(h)) name(g11_6, replace) subtitle("all", place(w))   

graph combine g11_1 g11_2 g11_3 g11_4 g11_5 g11_6, saving(ar11, asis replace) imargin(small) 

circdplot wallasp, by(grade) width(2) saving(ar17, asis replace)

qplot length width, by(grade, legend(at(6) pos(0))) legend(col(1)  region(lcolor(none)) size(*1.3) rowgap(*3)) ysc(log) yla(200 500 1000 2000, ang(h)) saving(ar22, asis replace) 

sysuse citytemp, clear
scatter tempjan tempjuly, yla(14 50 68 86, ang(h)) yla(32, custom add labsize(*1.4) ang(h)) xla(59(9)95) ms(Oh) subtitle({char 176}F, place(w) size(*1.4)) yli(32, lw(*.6) lc(gs12)) saving(ar7, asis replace)

webuse turksales
twoway connected sales t , xtick(119.5(4)159.5, grid glcolor(gs12) glw(*.5) tlength(*1.5)) xlabel(121.5(4)157.5, noticks format(%tqCY)) xtitle("") yla(, ang(h)) saving(ar8, asis replace)

webuse womenwage
levelsof wage, local(levels)
histogram wage, start(0) width(5) freq yla(, ang(h)) xtic(`levels', tlength(*1.5) tpos(inside)) ysc(r(-8)) saving(ar9, asis replace)

u cipolla2
local yti "% newly married unable to write their names"
foreach n of num 2 5 10(10)80 {
local label `label' `=logit(`n'/100)' "`n'"
}
keep if year >= 1854
line logit_Italy_females logit_Italy_males logit_France_females logit_France_males logit_Scotland_females logit_Scotland_males year, legend(pos(3) col(1) size(*0.8)) xla(1860(10)1900) xtitle("") yla(`label', ang(h)) ytitle(`yti') lp(solid dash solid dash solid dash) saving(ar10, asis replace) 

u anorexia, replace 
bysort treatment (before after) : gen order1 = _n - _N/2
twoway pcarrow before order1 after order1, pstyle(p1) || ///
scatter before order1, pstyle(p1) ms(O) xla(none) xtitle("") yla(, ang(h)) ///
ytitle("weight, lb") by(treatment, row(1) note("") legend(off)) ///
saving(ar12, asis replace)

sysuse auto, clear 

rcspline mpg weight, gen(mpg2)

twoway scatter mpg weight, ms(Oh) || fpfit mpg weight || ///
line mpg2 weight, lp(dash) sort yti("`: var label mpg'") ///
xti("`: var label weight'") ///
legend(order(2 "fractional polynomial" 3 "restricted cubic spline") pos(1) ring(0) col(1)) yla(, ang(h)) name(g13_1, replace)

twoway scatter mpg weight, ms(Oh) || lowess mpg weight || ///
lpoly mpg weight, lp(dash) sort yti("`: var label mpg'")  ///
xti("`: var label weight'") /// 
legend(order(2 "lowess" 3 "local polynomial") pos(1) ring(0) col(1)) yla(, ang(h)) name(g13_2, replace)

graph combine g13_1 g13_2, saving(ar13, asis replace)

glm mpg weight, link(power -1)
predict predicted
scatter mpg predicted || function equality = x, lp(dash) ra(predicted) ///
legend(order(2)) ytitle("`: var label mpg'") /// 
xtitle("`: var label predicted'") ///
legend(pos(4) ring(0)) yla(, ang(h)) saving(ar15, asis replace)

stripplot mpg, over(rep78) box(bfcolor(eltgreen) blcolor(white) barw(0.2)) boffset(-0.2) stack h(0.5) separate(foreign) saving(ar18, asis replace) 

sysuse uslifeexp, clear

twoway scatteri 38 1914  38 1918  80 1918 80 1914 , color(blue*0.2) recast(area) || scatteri 38 1939 38 1945 80 1945 80 1939, recast(area) color(blue*0.2) || connected le year, legend(off) plotregion(margin(b=0 t=0)) ytitle("`: var label le'") yla(, ang(h)) saving(ar14, asis replace) 

twoway line le_male le_female year, lc(blue pink) legend(off) ytitle("life expectancy") yla(, ang(h)) text(79.2 1980 "female", color(pink)) text(71 1976 "male", color(blue)) xtitle("") saving(ar21, asis replace)

use beniger 
gen pos = 3
replace pos = 9 if inlist(year, 1900, 1920)
replace pos = 10 if inlist(year, 1870, 1980)
replace pos = 12 if inlist(year, 1880, 1970)
triplot ag ind tert , c(l) max(100) mlabel(year) mlabvpos(pos) mlabsize(*0.7) clpat(solid) saving(ar16, asis replace)

use titanic, clear
collapse survived, by(age sex class)

catplot age sex [aw=100*survived], by(class, compact note("") col(1) ) ///
bar(1, blcolor(gs8) bfcolor(pink*.2)) blabel(bar, format(%4.1f) pos(base)) ///
subtitle(, pos(9) ring(1) bcolor(none) nobexpand place(e)) ///
ytitle(% survived from Titanic) ///
var1opts(gap(*0.1) axis(noline)) ///
var2opts(gap(*.2)) ysize(5) yla(none) ysc(noline) ///
plotregion(lcolor(none)) saving(ar19, asis replace)

u pollutants, clear
local spec clw(medium) msize(*0.8)

twoway conn depth Au, `spec' ms(Oh) cmissing(n) ||    conn depth Cd, `spec' ms(Th)  ||   conn depth As, `spec' ms(Sh)  ||  conn depth Pb, `spec' ms(O)   ||  conn depth Cu, `spec' ms(T)   ||    conn depth Zn, `spec' ms(S)                    ysc(reverse r(46 .))  xsc(log) xsc(titlegap(*10)) yla(50(10)90, ang(h)) xla(0.1 0.3 1 3 10 30 100)  ytitle(Depth (cm)) xtitle(Concentration (ppm))  text(48 `=Au[1]' "Au" 48 `=Cd[1]' "Cd" 48 `=As[1]' "As" 48 `=Pb[1]' "Pb" 48 `=Cu[1]' "Cu"  48 `=Zn[1]' "Zn") legend(off) saving(ar20, asis replace) 


